Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface Instance

All Superinterfaces:
  Comparable<Frame>, Frame

All Known Subinterfaces:
  Cls, Facet, SimpleInstance, Slot

All Known Implementing Classes:
  DefaultCls, DefaultFacet, DefaultInstance, DefaultSimpleInstance, DefaultSlot

    public interface Instance

extends Frame

An instance of a class. The class is refered to as the direct type. An instance can only have one direct type. Note that, in Protege, all Frames are Instances so we could have actually combined these two interfaces. We choose not to. Note that classes and slots are also instances and implement this interface. "Simple Instances" are instances which are not classes, slots, or facets. They have their own interface SimpleInstance.

Author:
  Ray Fergerson

Method Summary
`void` | `addDirectType(Cls cls)`
`void` | `addInstanceListener(InstanceListener listener)`
`Cls` | `getDirectType()` return the "first" direct type
`Collection` | `getDirectTypes()`
`Collection` | `getReachableSimpleInstances()`
`boolean` | `hasDirectType(Cls cls)`
`boolean` | `hasType(Cls cls)`
`void` | `moveDirectType(Cls cls, int index)`
`void` | `removeDirectType(Cls cls)`
`void` | `removeInstanceListener(InstanceListener listener)`
`Instance` | `setDirectType(Cls cls)`
`Instance` | `setDirectTypes(Collection types)`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, copy, deepCopy, delete, getBrowserText, getDirectOwnSlotValue, getDirectOwnSlotValues, getDocumentation, getFrameID, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, rename, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setVisible, shallowCopy`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### addInstanceListener

    void addInstanceListener(InstanceListener listener)

### getDirectType

    Cls getDirectType()

  return the "first" direct type

### getDirectTypes

    Collection getDirectTypes()

### getReachableSimpleInstances

    Collection getReachableSimpleInstances()

### hasDirectType

    boolean hasDirectType(Cls cls)

### hasType

    boolean hasType(Cls cls)

### removeInstanceListener

    void removeInstanceListener(InstanceListener listener)

### setDirectType

    Instance setDirectType(Cls cls)

### setDirectTypes

    Instance setDirectTypes(Collection types)

### addDirectType

    void addDirectType(Cls cls)

### removeDirectType

    void removeDirectType(Cls cls)

### moveDirectType

    void moveDirectType(Cls cls,
                        int index)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.